<script>
    import Scatterplot from "./_ex_7_scatterplot.svelte";
	const fetchData = (async () => {
		const response = await fetch("/data/gapminder.json")
    return await response.json()
	})()
</script>

{#await fetchData}
	<p>...data is being loaded</p>
{:then data}
    <Scatterplot data={data[0].countries} />
{:catch error}
	<p>An error occurred!</p>
{/await}